Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226030 - Merge Review: libiec61883
Summary: Merge Review: libiec61883
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-22 04:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 04:36:02 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (deleted)
2010-09-24 09:06 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:34 UTC
Fedora Merge Review: libiec61883

http://cvs.fedora.redhat.com/viewcvs/devel/libiec61883/
Initial Owner: jwilson@redhat.com

Comment 1 Parag AN(पराग) 2010-09-24 09:06:52 UTC
Created attachment 449373 [details]
spec cleanup

Please commit the attached patch that will clean this spec or allow to commit it.

Comment 2 Jarod Wilson 2010-09-24 13:57:16 UTC
Really only need to see the bz traffic once, thank you. ;) (jarod@ == jwilson@)

Most of the changes look fine, though your patch removes %clean entirely from the spec. I have vague recollections that this may now be implied w/current rpm, but is that true for all current Fedora releases?

Comment 3 Parag AN(पराग) 2010-09-24 14:07:10 UTC
(In reply to comment #2)
> Really only need to see the bz traffic once, thank you. ;) (jarod@ == jwilson@)
> 

Welcome.

> Most of the changes look fine, though your patch removes %clean entirely from
> the spec. I have vague recollections that this may now be implied w/current
> rpm, but is that true for all current Fedora releases?

From http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean,

"The %clean section is not required for F-13 and above. Each package for F-12 and below (or EPEL) MUST have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)."

Comment 4 Parag AN(पराग) 2010-09-29 04:03:05 UTC
Is the patch committed?

Comment 5 Parag AN(पराग) 2010-10-12 06:21:08 UTC
ping

Comment 6 Parag AN(पराग) 2010-10-22 04:36:02 UTC
Committed the above patch and built in libiec61883-1.2.0-5.fc15

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.